4 months ago

If you can not restore backup on high version (like iOS 11.2 beta), maybe you can try my solution.


currently, I have two Iphone devise

  • Iphone 7 Plus, iOS 11.2 beta2
  • Iphone X, iOS 11.1

I want to restore backup from a newer version of iOS 11.2 beta2 to a IphoneX devise using an older version of iOS 11.1, but iOS and iTunes does not support this.

If you try this, you may see the following error messages:

  • You cannot see or select the most recent backup from the list of available backups in iTunes or iCloud.
  • iTunes displays the alert “The backup …. cannot be restored to this …. because of the software on the …. is too old.”
  • iTunes displays the warning “No backups available.”
  • Apple 備份時出現備份已損毀或不相容


You can update older devise version to latest ios version, but latest ios beta version is not support Iphone X.

So, you can wait it, or try my solution and following this:

  1. backup on your iTunes now.
  2. Use Decipher Backup Repair tool
  3. Fix it and restore to your newer devise.

notice: 29.99 USD can repair 2 backup.

Now, I restore my newer version of iOS to older version of iOS successful now.

← 獲得實時更新的方法(Polling, Comet, Long Polling, WebSocket) [Rails] 解決 AASM 中的 race condition →
comments powered by Disqus